Kwalitee Issues

has_human_readable_license

Add a section called "LICENSE" to the documentation, or add a file named LICENSE to the distribution.

has_license_in_source_file

Add =head1 LICENSE and the text of the license to the main module in your code.

no_pod_errors

Remove the POD errors. You can check for POD errors automatically by including Test::Pod to your test suite.

Error: Gtk2-Ex-Datasheet-DBI-2.1/lib/Gtk2/Ex/Datasheet/DBI.pm -- Around line 4456: You forgot a '=back' before '=head3'Around line 4493: =back without =overAround line 4520: You forgot a '=back' before '=head3'Around line 4557: =back without =overAround line 4601: You forgot a '=back' before '=head3'Around line 4647: =back without =overAround line 4766: You forgot a '=back' before '=head3'Around line 4984: You forgot a '=back' before '=head3' You forgot a '=back' before '=head3'Around line 4992: =back without =overAround line 5025: =back without =overAround line 5040: You forgot a '=back' before '=head2'Around line 5122: =back without =overAround line 5180: You forgot a '=back' before '=head2'Around line 5186: You forgot a '=back' before '=head2'Around line 5214: =back without =overAround line 5216: =back without =overAround line 5224: You forgot a '=back' before '=head2'Around line 5238: You forgot a '=back' before '=head2'Around line 5257: =back without =overAround line 5267: =back without =overAround line 5277: =back without =over

has_known_license_in_source_file

Add =head1 LICENSE and/or the proper text of the well-known license to the main module in your code.

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

meta_yml_has_repository_resource

Add a 'repository' resource to the META.yml via 'meta_add' accessor (for Module::Build) or META_ADD parameter (for ExtUtils::MakeMaker).

Modules

Name Abstract Version View
Gtk2::Ex::Datasheet::DBI 2.1 metacpan

Provides

Name File View
Gtk2::Ex::Datasheet::DBI::CellEditableText lib/Gtk2/Ex/Datasheet/DBI.pm metacpan
Gtk2::Ex::Datasheet::DBI::CellRendererDate lib/Gtk2/Ex/Datasheet/DBI.pm metacpan
Gtk2::Ex::Datasheet::DBI::CellRendererText lib/Gtk2/Ex/Datasheet/DBI.pm metacpan
Gtk2::Ex::Datasheet::DBI::CellRendererTime lib/Gtk2/Ex/Datasheet/DBI.pm metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan